openapi: 3.0.1 info: title: TMF683 Party Interaction description: "This API provides comprehensive party interaction capabilities for\ \ MTN customers including interaction management, communication handling, and\ \ engagement services. It serves as the process layer for all TMF683 party interaction\ \ operations across the MTN ecosystem." license: name: MADAPI url: https://developers.mtn.com/ version: 3.0.0 - Last updated date:2026-08-26 16:58:59 servers: - url: https://api.mtn.com/v1 description: Production Server security: - OAuth2: [] tags: - name: Tmf683PartyInteraction paths: /partyInteraction: post: tags: - Tmf683PartyInteraction summary: Create Party Interaction description: "This operation creates a new party interaction in the TMF683 system.\ \ The endpoint handles interaction management, communication processing, and\ \ engagement services with comprehensive transaction tracking and system routing\ \ capabilities." operationId: PartyInteractionService_post_partyInteractionPost_partyInteraction parameters: - name: requestType in: header required: false schema: type: string - name: systemId in: header required: false schema: type: string - name: transactionId in: header required: false schema: type: string - name: x-country-code in: header required: false schema: type: string requestBody: content: application/json: schema: title: PartyInteractionTimeModel type: object properties: creationDate: type: string id: type: string href: type: string interactionDate: $ref: '#/components/schemas/com_mtn_aggregator_models_request_InteractionDate' description: type: string reason: type: string requestType: type: string externalIdentifier: $ref: '#/components/schemas/com_mtn_aggregator_models_request_ExternalIdentifier' status: type: string direction: type: string relatedParty: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_RelatedParty' relatedChannel: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_RelatedChannel' interactionItem: type: array items: title: InteractionItemTime type: object properties: id: type: string item: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Item' interactionItemType: type: string note: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Note' actionDate: type: string reasonCode: type: string reason: type: string csrUserName: type: string csrUserId: type: string prefLang: type: string location: type: string externalUser: type: string creationDate: type: string format: date-time channel: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Channel' note: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Note' customerId: type: string productId: type: array items: type: string publicIdentifier: type: array items: type: string productOrderId: type: array items: type: string createdDate: type: string modifiedDate: type: string '@baseType': type: string '@type': type: string '@schemaLocation': type: string retryable: type: boolean retryableCount: type: integer format: int32 systemId: type: string countryCode: type: string path: type: string required: true responses: "200": description: HTTP 200 indicating the request succeeded; the response body follows the documented schema for this operation and includes correlation identifiers where applicable for traceability across MTN MADAPI tmf683 party interaction flows. content: application/json: schema: $ref: '#/components/schemas/com_mtn_madapi_yellochat_models_response_YelloChatAPIResponse' "400": description: "Bad request. Invalid request parameters, missing required\ \ fields, or validation errors." content: application/json: schema: $ref: '#/components/schemas/APIError' example: statusCode: "400" statusMessage: "Bad request. Invalid request parameters, missing required\ \ fields, or validation errors." supportMessage: API_ERROR transactionId: "1234567890" sequenceNo: "20250115120000001" timestamp: 2025-01-15T12:00:00Z "401": description: "Unauthorized. Invalid or missing authorization credentials,\ \ insufficient permissions, or authentication failure." content: application/json: schema: $ref: '#/components/schemas/APIError' example: statusCode: "401" statusMessage: "Unauthorized. Invalid or missing authorization credentials,\ \ insufficient permissions, or authentication failure." supportMessage: API_ERROR transactionId: "1234567890" sequenceNo: "20250115120000001" timestamp: 2025-01-15T12:00:00Z "403": description: Forbidden. Access denied. The request is valid but the server refuses to perform it. content: application/json: schema: $ref: '#/components/schemas/APIError' example: statusCode: "403" statusMessage: Forbidden. Access denied. The request is valid but the server refuses to perform it. supportMessage: API_ERROR transactionId: "1234567890" sequenceNo: "20250115120000001" timestamp: 2025-01-15T12:00:00Z "404": description: Not found. The requested resource was not found or does not exist. content: application/json: schema: $ref: '#/components/schemas/APIError' example: statusCode: "404" statusMessage: Not found. The requested resource was not found or does not exist. supportMessage: API_ERROR transactionId: "1234567890" sequenceNo: "20250115120000001" timestamp: 2025-01-15T12:00:00Z "500": description: "Internal server error. Unexpected system failure, database\ \ connectivity issues, or external service integration problems." content: application/json: schema: $ref: '#/components/schemas/APIError' example: statusCode: "500" statusMessage: "Internal server error. Unexpected system failure,\ \ database connectivity issues, or external service integration\ \ problems." supportMessage: API_ERROR transactionId: "1234567890" sequenceNo: "20250115120000001" timestamp: 2025-01-15T12:00:00Z "502": description: Bad gateway. The server acting as a gateway received an invalid response from an upstream server. content: application/json: schema: $ref: '#/components/schemas/APIError' example: statusCode: "502" statusMessage: Bad gateway. The server acting as a gateway received an invalid response from an upstream server. supportMessage: API_ERROR transactionId: "1234567890" sequenceNo: "20250115120000001" timestamp: 2025-01-15T12:00:00Z "503": description: Service unavailable. The server is temporarily unable to handle the request due to maintenance or overload. content: application/json: schema: $ref: '#/components/schemas/APIError' example: statusCode: "503" statusMessage: Service unavailable. The server is temporarily unable to handle the request due to maintenance or overload. supportMessage: API_ERROR transactionId: "1234567890" sequenceNo: "20250115120000001" timestamp: 2025-01-15T12:00:00Z deprecated: false /partyInteraction/{id}: get: tags: - Tmf683PartyInteraction summary: Retrieve PartyInteraction (Get Conversation Status) description: "Retrieves the current status of an escalated conversation ticket\ \ from Y'ello Chat, including agent assignment and ticket lifecycle information.\ \ This endpoint enables clients to monitor whether a conversation is active,\ \ pending, assigned, resolved, or closed." operationId: PartyInteractionService_get_partyInteractionGet_partyInteractionid parameters: - name: id in: path required: true schema: type: string - name: requestType in: header required: false schema: type: string - name: systemId in: header required: false schema: type: string - name: transactionId in: header required: false schema: type: string - name: x-country-code in: header required: false schema: type: string responses: "200": description: HTTP 200 indicating the request succeeded; the response body follows the documented schema for this operation and includes correlation identifiers where applicable for traceability across MTN MADAPI tmf683 party interaction flows. content: application/json: schema: title: YelloChatConversationResponse type: object properties: id: type: string status: type: string interactionDate: title: InteractionDate type: object properties: startDateTime: type: string statusChangeDate: type: string format: date-time relatedParty: type: array items: title: RelatedParty type: object properties: role: type: string id: type: string '@referredType': type: string '@schemaLocation': type: string href: type: string name: type: string engagedParty: title: EngagedParty type: object properties: id: type: string '@referredType': type: string '@schemaLocation': type: string href: type: string partyOrPartyRole: title: PartyOrPartyRole type: object properties: id: type: string name: type: string '@type': type: string '@referredType': type: string href: type: string note: type: array items: title: Note type: object properties: id: type: string text: type: string externalIdentifier: type: array items: title: ExternalIdentifier type: object properties: id: type: string owner: type: string externalIdentifierType: type: string "400": description: "Bad request. Invalid request parameters, missing required\ \ fields, or validation errors." content: application/json: schema: $ref: '#/components/schemas/APIError' example: statusCode: "400" statusMessage: "Bad request. Invalid request parameters, missing required\ \ fields, or validation errors." supportMessage: API_ERROR transactionId: "1234567890" sequenceNo: "20250115120000001" timestamp: 2025-01-15T12:00:00Z "401": description: "Unauthorized. Invalid or missing authorization credentials,\ \ insufficient permissions, or authentication failure." content: application/json: schema: $ref: '#/components/schemas/APIError' example: statusCode: "401" statusMessage: "Unauthorized. Invalid or missing authorization credentials,\ \ insufficient permissions, or authentication failure." supportMessage: API_ERROR transactionId: "1234567890" sequenceNo: "20250115120000001" timestamp: 2025-01-15T12:00:00Z "403": description: Forbidden. Access denied. The request is valid but the server refuses to perform it. content: application/json: schema: $ref: '#/components/schemas/APIError' example: statusCode: "403" statusMessage: Forbidden. Access denied. The request is valid but the server refuses to perform it. supportMessage: API_ERROR transactionId: "1234567890" sequenceNo: "20250115120000001" timestamp: 2025-01-15T12:00:00Z "404": description: Not found. The requested resource was not found or does not exist. content: application/json: schema: $ref: '#/components/schemas/APIError' example: statusCode: "404" statusMessage: Not found. The requested resource was not found or does not exist. supportMessage: API_ERROR transactionId: "1234567890" sequenceNo: "20250115120000001" timestamp: 2025-01-15T12:00:00Z "500": description: "Internal server error. Unexpected system failure, database\ \ connectivity issues, or external service integration problems." content: application/json: schema: $ref: '#/components/schemas/APIError' example: statusCode: "500" statusMessage: "Internal server error. Unexpected system failure,\ \ database connectivity issues, or external service integration\ \ problems." supportMessage: API_ERROR transactionId: "1234567890" sequenceNo: "20250115120000001" timestamp: 2025-01-15T12:00:00Z "502": description: Bad gateway. The server acting as a gateway received an invalid response from an upstream server. content: application/json: schema: $ref: '#/components/schemas/APIError' example: statusCode: "502" statusMessage: Bad gateway. The server acting as a gateway received an invalid response from an upstream server. supportMessage: API_ERROR transactionId: "1234567890" sequenceNo: "20250115120000001" timestamp: 2025-01-15T12:00:00Z "503": description: Service unavailable. The server is temporarily unable to handle the request due to maintenance or overload. content: application/json: schema: $ref: '#/components/schemas/APIError' example: statusCode: "503" statusMessage: Service unavailable. The server is temporarily unable to handle the request due to maintenance or overload. supportMessage: API_ERROR transactionId: "1234567890" sequenceNo: "20250115120000001" timestamp: 2025-01-15T12:00:00Z deprecated: false patch: tags: - Tmf683PartyInteraction summary: Forward Incoming Subscriber Message description: "This operation forwards an Agent message to a Subscriber (conversation).\ \ Maps to PATCH /zigi/v1/conversations/{id}/messages on the backend." operationId: PartyInteractionService_patch_partyInteractionPatch_partyInteractionid parameters: - name: id in: path required: true schema: type: string - name: systemId in: header required: false schema: type: string - name: transactionId in: header required: false schema: type: string - name: x-country-code in: header required: false schema: type: string requestBody: content: application/json: schema: title: PartyInteractionModel type: object properties: creationDate: type: string id: type: string href: type: string interactionDate: $ref: '#/components/schemas/com_mtn_aggregator_models_request_InteractionDate' description: type: string reason: type: string requestType: type: string externalIdentifier: $ref: '#/components/schemas/com_mtn_aggregator_models_request_ExternalIdentifier' status: type: string direction: type: string relatedParty: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_RelatedParty' relatedChannel: type: array items: title: RelatedChannel type: object properties: id: type: string channel: title: Channel type: object properties: name: type: string role: type: string id: type: string '@referredType': type: string '@schemaLocation': type: string href: type: string interactionItem: type: array items: title: InteractionItem type: object properties: id: type: string item: title: Item type: object properties: id: type: string href: type: string customFields: title: CustomFields type: object properties: productOrderGroup: type: array items: type: string registrationType: type: string externalSystem: type: array items: title: ExternalSystem type: object properties: id: type: string system: type: string '@type': type: string '@baseType': type: string '@baseType': type: string '@type': type: string '@schemaLocation': type: string request: title: Request type: object properties: id: type: string '@referredType': type: string '@baseType': type: string '@schemaLocation': type: string href: type: string createdDate: type: string orderItem: type: array items: title: OrderItem type: object properties: id: type: string href: type: string action: type: string actionSubType: type: string productOffering: title: ProductOffering type: object properties: id: type: string href: type: string externalSystem: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_ExternalSystem' name: type: string category: type: array items: title: Category type: object properties: name: type: string version: type: string id: type: string '@referredType': type: string '@schemaLocation': type: string href: type: string '@type': type: string '@schemaLocation': type: string product: title: Product type: object properties: id: type: string href: type: string customFields: $ref: '#/components/schemas/com_mtn_aggregator_models_request_CustomFields' externalSystem: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_ExternalSystem' name: type: string startDate: type: string status: type: string createdDate: type: string modifiedDate: type: string businessType: type: string technology: type: string publicIdentifier: type: string productSpecification: title: ProductSpecification type: object properties: id: type: string '@referredType': type: string '@baseType': type: string '@type': type: string '@schemaLocation': type: string href: type: string name: type: string version: type: string technology: type: array items: type: string LoB: type: string productOffering: $ref: '#/components/schemas/com_mtn_aggregator_models_request_ProductOffering' productOrder: type: array items: title: ProductOrder type: object properties: orderItemId: type: string orderItemAction: type: string id: type: string '@referredType': type: string '@schemaLocation': type: string href: type: string channel: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Channel' relatedParty: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_RelatedParty' productRelationship: type: array items: title: ProductRelationship type: object properties: product: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Product' type: type: string relationshipType: type: string productPrice: type: array items: title: ProductPrice type: object properties: href: type: string priceType: type: string price: title: Price type: object properties: taxIncludedAmount: title: TaxIncludedAmount type: object properties: value: type: string unit: type: string dutyFreeAmount: title: DutyFreeAmount type: object properties: value: type: string unit: type: string taxRate: type: integer format: int32 '@schemaLocation': type: string productTerm: type: array items: title: ProductTerm type: object properties: description: type: string status: type: string validFor: title: ValidFor type: object properties: startDateTime: type: string endDateTime: type: string '@type': type: string activationDate: type: string imsiNumber: type: string simNumber: type: string '@baseType': type: string '@type': type: string '@schemaLocation': type: string isCustomerVisible: type: boolean LoB: type: string xDir: type: string productSpecification: $ref: '#/components/schemas/com_mtn_aggregator_models_request_ProductSpecification' modifiable: type: boolean '@schemaLocation': type: string channel: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Channel' modifiedDate: type: string state: type: string relatedParty: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_RelatedParty' modifiable: type: boolean orderDate: type: string cancellable: type: boolean requestedStartDate: type: string role: type: string interactionItemType: type: string note: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Note' creationDate: type: string actionDate: type: string reasonCode: type: string reason: type: string csrUserName: type: string csrUserId: type: string prefLang: type: string location: type: string externalUser: type: string channel: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Channel' note: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Note' customerId: type: string productId: type: array items: type: string publicIdentifier: type: array items: type: string productOrderId: type: array items: type: string createdDate: type: string modifiedDate: type: string '@baseType': type: string '@type': type: string '@schemaLocation': type: string retryable: type: boolean retryableCount: type: integer format: int32 systemId: type: string countryCode: type: string path: type: string required: true responses: "200": description: HTTP 200 indicating the request succeeded; the response body follows the documented schema for this operation and includes correlation identifiers where applicable for traceability across MTN MADAPI tmf683 party interaction flows. content: application/json: schema: title: YelloChatAPIResponse type: object properties: statusCode: type: string statusMessage: type: string supportMessage: type: string transactionId: type: string error: title: YelloChatAPIError type: object properties: timestamp: type: string status: type: string error: type: string message: type: string path: type: string existingResourceId: type: string data: title: APIResponse type: object "400": description: "Bad request. Invalid request parameters, missing required\ \ fields, or validation errors." content: application/json: schema: $ref: '#/components/schemas/APIError' example: statusCode: "400" statusMessage: "Bad request. Invalid request parameters, missing required\ \ fields, or validation errors." supportMessage: API_ERROR transactionId: "1234567890" sequenceNo: "20250115120000001" timestamp: 2025-01-15T12:00:00Z "401": description: "Unauthorized. Invalid or missing authorization credentials,\ \ insufficient permissions, or authentication failure." content: application/json: schema: $ref: '#/components/schemas/APIError' example: statusCode: "401" statusMessage: "Unauthorized. Invalid or missing authorization credentials,\ \ insufficient permissions, or authentication failure." supportMessage: API_ERROR transactionId: "1234567890" sequenceNo: "20250115120000001" timestamp: 2025-01-15T12:00:00Z "403": description: Forbidden. Access denied. The request is valid but the server refuses to perform it. content: application/json: schema: $ref: '#/components/schemas/APIError' example: statusCode: "403" statusMessage: Forbidden. Access denied. The request is valid but the server refuses to perform it. supportMessage: API_ERROR transactionId: "1234567890" sequenceNo: "20250115120000001" timestamp: 2025-01-15T12:00:00Z "404": description: Not found. The requested resource was not found or does not exist. content: application/json: schema: $ref: '#/components/schemas/APIError' example: statusCode: "404" statusMessage: Not found. The requested resource was not found or does not exist. supportMessage: API_ERROR transactionId: "1234567890" sequenceNo: "20250115120000001" timestamp: 2025-01-15T12:00:00Z "500": description: "Internal server error. Unexpected system failure, database\ \ connectivity issues, or external service integration problems." content: application/json: schema: $ref: '#/components/schemas/APIError' example: statusCode: "500" statusMessage: "Internal server error. Unexpected system failure,\ \ database connectivity issues, or external service integration\ \ problems." supportMessage: API_ERROR transactionId: "1234567890" sequenceNo: "20250115120000001" timestamp: 2025-01-15T12:00:00Z "502": description: Bad gateway. The server acting as a gateway received an invalid response from an upstream server. content: application/json: schema: $ref: '#/components/schemas/APIError' example: statusCode: "502" statusMessage: Bad gateway. The server acting as a gateway received an invalid response from an upstream server. supportMessage: API_ERROR transactionId: "1234567890" sequenceNo: "20250115120000001" timestamp: 2025-01-15T12:00:00Z "503": description: Service unavailable. The server is temporarily unable to handle the request due to maintenance or overload. content: application/json: schema: $ref: '#/components/schemas/APIError' example: statusCode: "503" statusMessage: Service unavailable. The server is temporarily unable to handle the request due to maintenance or overload. supportMessage: API_ERROR transactionId: "1234567890" sequenceNo: "20250115120000001" timestamp: 2025-01-15T12:00:00Z deprecated: false components: schemas: com_mtn_aggregator_models_PartyInteractionModel: title: PartyInteractionModel type: object properties: creationDate: type: string id: type: string href: type: string interactionDate: $ref: '#/components/schemas/com_mtn_aggregator_models_request_InteractionDate' description: type: string reason: type: string requestType: type: string externalIdentifier: $ref: '#/components/schemas/com_mtn_aggregator_models_request_ExternalIdentifier' status: type: string direction: type: string relatedParty: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_RelatedParty' relatedChannel: type: array items: title: RelatedChannel type: object properties: id: type: string channel: title: Channel type: object properties: name: type: string role: type: string id: type: string '@referredType': type: string '@schemaLocation': type: string href: type: string interactionItem: type: array items: title: InteractionItem type: object properties: id: type: string item: title: Item type: object properties: id: type: string href: type: string customFields: title: CustomFields type: object properties: productOrderGroup: type: array items: type: string registrationType: type: string externalSystem: type: array items: title: ExternalSystem type: object properties: id: type: string system: type: string '@type': type: string '@baseType': type: string '@baseType': type: string '@type': type: string '@schemaLocation': type: string request: title: Request type: object properties: id: type: string '@referredType': type: string '@baseType': type: string '@schemaLocation': type: string href: type: string createdDate: type: string orderItem: type: array items: title: OrderItem type: object properties: id: type: string href: type: string action: type: string actionSubType: type: string productOffering: title: ProductOffering type: object properties: id: type: string href: type: string externalSystem: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_ExternalSystem' name: type: string category: type: array items: title: Category type: object properties: name: type: string version: type: string id: type: string '@referredType': type: string '@schemaLocation': type: string href: type: string '@type': type: string '@schemaLocation': type: string product: title: Product type: object properties: id: type: string href: type: string customFields: $ref: '#/components/schemas/com_mtn_aggregator_models_request_CustomFields' externalSystem: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_ExternalSystem' name: type: string startDate: type: string status: type: string createdDate: type: string modifiedDate: type: string businessType: type: string technology: type: string publicIdentifier: type: string productSpecification: title: ProductSpecification type: object properties: id: type: string '@referredType': type: string '@baseType': type: string '@type': type: string '@schemaLocation': type: string href: type: string name: type: string version: type: string technology: type: array items: type: string LoB: type: string productOffering: $ref: '#/components/schemas/com_mtn_aggregator_models_request_ProductOffering' productOrder: type: array items: title: ProductOrder type: object properties: orderItemId: type: string orderItemAction: type: string id: type: string '@referredType': type: string '@schemaLocation': type: string href: type: string channel: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Channel' relatedParty: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_RelatedParty' productRelationship: type: array items: title: ProductRelationship type: object properties: product: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Product' type: type: string relationshipType: type: string productPrice: type: array items: title: ProductPrice type: object properties: href: type: string priceType: type: string price: title: Price type: object properties: taxIncludedAmount: title: TaxIncludedAmount type: object properties: value: type: string unit: type: string dutyFreeAmount: title: DutyFreeAmount type: object properties: value: type: string unit: type: string taxRate: type: integer format: int32 '@schemaLocation': type: string productTerm: type: array items: title: ProductTerm type: object properties: description: type: string status: type: string validFor: title: ValidFor type: object properties: startDateTime: type: string endDateTime: type: string '@type': type: string activationDate: type: string imsiNumber: type: string simNumber: type: string '@baseType': type: string '@type': type: string '@schemaLocation': type: string isCustomerVisible: type: boolean LoB: type: string xDir: type: string productSpecification: $ref: '#/components/schemas/com_mtn_aggregator_models_request_ProductSpecification' modifiable: type: boolean '@schemaLocation': type: string channel: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Channel' modifiedDate: type: string state: type: string relatedParty: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_RelatedParty' modifiable: type: boolean orderDate: type: string cancellable: type: boolean requestedStartDate: type: string role: type: string interactionItemType: type: string note: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Note' creationDate: type: string actionDate: type: string reasonCode: type: string reason: type: string csrUserName: type: string csrUserId: type: string prefLang: type: string location: type: string externalUser: type: string channel: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Channel' note: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Note' customerId: type: string productId: type: array items: type: string publicIdentifier: type: array items: type: string productOrderId: type: array items: type: string createdDate: type: string modifiedDate: type: string '@baseType': type: string '@type': type: string '@schemaLocation': type: string retryable: type: boolean retryableCount: type: integer format: int32 systemId: type: string countryCode: type: string path: type: string com_mtn_aggregator_models_request_ProductRelationship: title: ProductRelationship type: object properties: product: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Product' type: type: string relationshipType: type: string com_mtn_aggregator_models_request_ProductTerm: title: ProductTerm type: object properties: description: type: string status: type: string validFor: title: ValidFor type: object properties: startDateTime: type: string endDateTime: type: string '@type': type: string com_mtn_aggregator_models_request_TaxIncludedAmount: title: TaxIncludedAmount type: object properties: value: type: string unit: type: string com_mtn_aggregator_models_request_ProductOrder: title: ProductOrder type: object properties: orderItemId: type: string orderItemAction: type: string id: type: string '@referredType': type: string '@schemaLocation': type: string href: type: string com_mtn_aggregator_models_request_Note: title: Note type: object properties: id: type: string text: type: string com_mtn_aggregator_models_response_YelloChatConversationResponse: title: YelloChatConversationResponse type: object properties: id: type: string status: type: string interactionDate: title: InteractionDate type: object properties: startDateTime: type: string statusChangeDate: type: string format: date-time relatedParty: type: array items: title: RelatedParty type: object properties: role: type: string id: type: string '@referredType': type: string '@schemaLocation': type: string href: type: string name: type: string engagedParty: title: EngagedParty type: object properties: id: type: string '@referredType': type: string '@schemaLocation': type: string href: type: string partyOrPartyRole: title: PartyOrPartyRole type: object properties: id: type: string name: type: string '@type': type: string '@referredType': type: string href: type: string note: type: array items: title: Note type: object properties: id: type: string text: type: string externalIdentifier: type: array items: title: ExternalIdentifier type: object properties: id: type: string owner: type: string externalIdentifierType: type: string com_mtn_aggregator_models_request_EngagedParty: title: EngagedParty type: object properties: id: type: string '@referredType': type: string '@schemaLocation': type: string href: type: string com_mtn_madapi_yellochat_models_response_YelloChatAPIError: title: YelloChatAPIError type: object properties: timestamp: type: string status: type: string error: type: string message: type: string path: type: string existingResourceId: type: string com_mtn_aggregator_models_request_Request: title: Request type: object properties: id: type: string '@referredType': type: string '@baseType': type: string '@schemaLocation': type: string href: type: string com_mtn_aggregator_models_request_ValidFor: title: ValidFor type: object properties: startDateTime: type: string endDateTime: type: string com_mtn_aggregator_models_request_ProductPrice: title: ProductPrice type: object properties: href: type: string priceType: type: string price: title: Price type: object properties: taxIncludedAmount: title: TaxIncludedAmount type: object properties: value: type: string unit: type: string dutyFreeAmount: title: DutyFreeAmount type: object properties: value: type: string unit: type: string taxRate: type: integer format: int32 '@schemaLocation': type: string APIError: title: APIError required: - statusCode - statusMessage type: object properties: statusCode: type: string description: Error status code statusMessage: type: string description: Human-readable error message supportMessage: type: string description: Technical support message or error code for troubleshooting transactionId: type: string description: Transaction identifier for tracking and correlation sequenceNo: type: string description: Sequence number for request tracking timestamp: type: string description: Error timestamp in ISO 8601 format format: date-time path: type: string description: API endpoint path where the error occurred method: type: string description: HTTP method of the request that caused the error downstreamStatusCode: type: string description: Downstream service error code if applicable description: Generic MADAPI error response structure com_mtn_aggregator_models_request_RelatedChannel: title: RelatedChannel type: object properties: id: type: string channel: title: Channel type: object properties: name: type: string role: type: string id: type: string '@referredType': type: string '@schemaLocation': type: string href: type: string com_mtn_madapi_yellochat_models_response_APIResponse: title: APIResponse type: object com_mtn_aggregator_models_request_Category: title: Category type: object properties: name: type: string version: type: string id: type: string '@referredType': type: string '@schemaLocation': type: string href: type: string com_mtn_aggregator_models_request_CustomFields: title: CustomFields type: object properties: productOrderGroup: type: array items: type: string registrationType: type: string com_mtn_aggregator_models_PartyInteractionTimeModel: title: PartyInteractionTimeModel type: object properties: creationDate: type: string id: type: string href: type: string interactionDate: $ref: '#/components/schemas/com_mtn_aggregator_models_request_InteractionDate' description: type: string reason: type: string requestType: type: string externalIdentifier: $ref: '#/components/schemas/com_mtn_aggregator_models_request_ExternalIdentifier' status: type: string direction: type: string relatedParty: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_RelatedParty' relatedChannel: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_RelatedChannel' interactionItem: type: array items: title: InteractionItemTime type: object properties: id: type: string item: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Item' interactionItemType: type: string note: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Note' actionDate: type: string reasonCode: type: string reason: type: string csrUserName: type: string csrUserId: type: string prefLang: type: string location: type: string externalUser: type: string creationDate: type: string format: date-time channel: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Channel' note: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Note' customerId: type: string productId: type: array items: type: string publicIdentifier: type: array items: type: string productOrderId: type: array items: type: string createdDate: type: string modifiedDate: type: string '@baseType': type: string '@type': type: string '@schemaLocation': type: string retryable: type: boolean retryableCount: type: integer format: int32 systemId: type: string countryCode: type: string path: type: string com_mtn_aggregator_models_request_Product: title: Product type: object properties: id: type: string href: type: string customFields: $ref: '#/components/schemas/com_mtn_aggregator_models_request_CustomFields' externalSystem: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_ExternalSystem' name: type: string startDate: type: string status: type: string createdDate: type: string modifiedDate: type: string businessType: type: string technology: type: string publicIdentifier: type: string productSpecification: title: ProductSpecification type: object properties: id: type: string '@referredType': type: string '@baseType': type: string '@type': type: string '@schemaLocation': type: string href: type: string name: type: string version: type: string technology: type: array items: type: string LoB: type: string productOffering: $ref: '#/components/schemas/com_mtn_aggregator_models_request_ProductOffering' productOrder: type: array items: title: ProductOrder type: object properties: orderItemId: type: string orderItemAction: type: string id: type: string '@referredType': type: string '@schemaLocation': type: string href: type: string channel: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Channel' relatedParty: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_RelatedParty' productRelationship: type: array items: title: ProductRelationship type: object properties: product: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Product' type: type: string relationshipType: type: string productPrice: type: array items: title: ProductPrice type: object properties: href: type: string priceType: type: string price: title: Price type: object properties: taxIncludedAmount: title: TaxIncludedAmount type: object properties: value: type: string unit: type: string dutyFreeAmount: title: DutyFreeAmount type: object properties: value: type: string unit: type: string taxRate: type: integer format: int32 '@schemaLocation': type: string productTerm: type: array items: title: ProductTerm type: object properties: description: type: string status: type: string validFor: title: ValidFor type: object properties: startDateTime: type: string endDateTime: type: string '@type': type: string activationDate: type: string imsiNumber: type: string simNumber: type: string '@baseType': type: string '@type': type: string '@schemaLocation': type: string isCustomerVisible: type: boolean LoB: type: string xDir: type: string com_mtn_aggregator_models_request_InteractionItem: title: InteractionItem type: object properties: id: type: string item: title: Item type: object properties: id: type: string href: type: string customFields: title: CustomFields type: object properties: productOrderGroup: type: array items: type: string registrationType: type: string externalSystem: type: array items: title: ExternalSystem type: object properties: id: type: string system: type: string '@type': type: string '@baseType': type: string '@baseType': type: string '@type': type: string '@schemaLocation': type: string request: title: Request type: object properties: id: type: string '@referredType': type: string '@baseType': type: string '@schemaLocation': type: string href: type: string createdDate: type: string orderItem: type: array items: title: OrderItem type: object properties: id: type: string href: type: string action: type: string actionSubType: type: string productOffering: title: ProductOffering type: object properties: id: type: string href: type: string externalSystem: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_ExternalSystem' name: type: string category: type: array items: title: Category type: object properties: name: type: string version: type: string id: type: string '@referredType': type: string '@schemaLocation': type: string href: type: string '@type': type: string '@schemaLocation': type: string product: title: Product type: object properties: id: type: string href: type: string customFields: $ref: '#/components/schemas/com_mtn_aggregator_models_request_CustomFields' externalSystem: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_ExternalSystem' name: type: string startDate: type: string status: type: string createdDate: type: string modifiedDate: type: string businessType: type: string technology: type: string publicIdentifier: type: string productSpecification: title: ProductSpecification type: object properties: id: type: string '@referredType': type: string '@baseType': type: string '@type': type: string '@schemaLocation': type: string href: type: string name: type: string version: type: string technology: type: array items: type: string LoB: type: string productOffering: $ref: '#/components/schemas/com_mtn_aggregator_models_request_ProductOffering' productOrder: type: array items: title: ProductOrder type: object properties: orderItemId: type: string orderItemAction: type: string id: type: string '@referredType': type: string '@schemaLocation': type: string href: type: string channel: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Channel' relatedParty: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_RelatedParty' productRelationship: type: array items: title: ProductRelationship type: object properties: product: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Product' type: type: string relationshipType: type: string productPrice: type: array items: title: ProductPrice type: object properties: href: type: string priceType: type: string price: title: Price type: object properties: taxIncludedAmount: title: TaxIncludedAmount type: object properties: value: type: string unit: type: string dutyFreeAmount: title: DutyFreeAmount type: object properties: value: type: string unit: type: string taxRate: type: integer format: int32 '@schemaLocation': type: string productTerm: type: array items: title: ProductTerm type: object properties: description: type: string status: type: string validFor: title: ValidFor type: object properties: startDateTime: type: string endDateTime: type: string '@type': type: string activationDate: type: string imsiNumber: type: string simNumber: type: string '@baseType': type: string '@type': type: string '@schemaLocation': type: string isCustomerVisible: type: boolean LoB: type: string xDir: type: string productSpecification: $ref: '#/components/schemas/com_mtn_aggregator_models_request_ProductSpecification' modifiable: type: boolean '@schemaLocation': type: string channel: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Channel' modifiedDate: type: string state: type: string relatedParty: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_RelatedParty' modifiable: type: boolean orderDate: type: string cancellable: type: boolean requestedStartDate: type: string role: type: string interactionItemType: type: string note: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Note' creationDate: type: string actionDate: type: string reasonCode: type: string reason: type: string csrUserName: type: string csrUserId: type: string prefLang: type: string location: type: string externalUser: type: string com_mtn_aggregator_models_request_Price: title: Price type: object properties: taxIncludedAmount: title: TaxIncludedAmount type: object properties: value: type: string unit: type: string dutyFreeAmount: title: DutyFreeAmount type: object properties: value: type: string unit: type: string taxRate: type: integer format: int32 com_mtn_aggregator_models_request_ExternalIdentifier: title: ExternalIdentifier type: object properties: id: type: string owner: type: string externalIdentifierType: type: string com_mtn_aggregator_models_request_OrderItem: title: OrderItem type: object properties: id: type: string href: type: string action: type: string actionSubType: type: string productOffering: title: ProductOffering type: object properties: id: type: string href: type: string externalSystem: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_ExternalSystem' name: type: string category: type: array items: title: Category type: object properties: name: type: string version: type: string id: type: string '@referredType': type: string '@schemaLocation': type: string href: type: string '@type': type: string '@schemaLocation': type: string product: title: Product type: object properties: id: type: string href: type: string customFields: $ref: '#/components/schemas/com_mtn_aggregator_models_request_CustomFields' externalSystem: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_ExternalSystem' name: type: string startDate: type: string status: type: string createdDate: type: string modifiedDate: type: string businessType: type: string technology: type: string publicIdentifier: type: string productSpecification: title: ProductSpecification type: object properties: id: type: string '@referredType': type: string '@baseType': type: string '@type': type: string '@schemaLocation': type: string href: type: string name: type: string version: type: string technology: type: array items: type: string LoB: type: string productOffering: $ref: '#/components/schemas/com_mtn_aggregator_models_request_ProductOffering' productOrder: type: array items: title: ProductOrder type: object properties: orderItemId: type: string orderItemAction: type: string id: type: string '@referredType': type: string '@schemaLocation': type: string href: type: string channel: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Channel' relatedParty: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_RelatedParty' productRelationship: type: array items: title: ProductRelationship type: object properties: product: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Product' type: type: string relationshipType: type: string productPrice: type: array items: title: ProductPrice type: object properties: href: type: string priceType: type: string price: title: Price type: object properties: taxIncludedAmount: title: TaxIncludedAmount type: object properties: value: type: string unit: type: string dutyFreeAmount: title: DutyFreeAmount type: object properties: value: type: string unit: type: string taxRate: type: integer format: int32 '@schemaLocation': type: string productTerm: type: array items: title: ProductTerm type: object properties: description: type: string status: type: string validFor: title: ValidFor type: object properties: startDateTime: type: string endDateTime: type: string '@type': type: string activationDate: type: string imsiNumber: type: string simNumber: type: string '@baseType': type: string '@type': type: string '@schemaLocation': type: string isCustomerVisible: type: boolean LoB: type: string xDir: type: string productSpecification: $ref: '#/components/schemas/com_mtn_aggregator_models_request_ProductSpecification' modifiable: type: boolean '@schemaLocation': type: string com_mtn_madapi_yellochat_models_response_YelloChatAPIResponse: title: YelloChatAPIResponse type: object properties: statusCode: type: string statusMessage: type: string supportMessage: type: string transactionId: type: string error: title: YelloChatAPIError type: object properties: timestamp: type: string status: type: string error: type: string message: type: string path: type: string existingResourceId: type: string data: title: APIResponse type: object com_mtn_aggregator_models_request_InteractionItemTime: title: InteractionItemTime type: object properties: id: type: string item: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Item' interactionItemType: type: string note: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Note' actionDate: type: string reasonCode: type: string reason: type: string csrUserName: type: string csrUserId: type: string prefLang: type: string location: type: string externalUser: type: string creationDate: type: string format: date-time com_mtn_aggregator_models_request_Channel: title: Channel type: object properties: name: type: string role: type: string id: type: string '@referredType': type: string '@schemaLocation': type: string href: type: string com_mtn_aggregator_models_request_ProductSpecification: title: ProductSpecification type: object properties: id: type: string '@referredType': type: string '@baseType': type: string '@type': type: string '@schemaLocation': type: string href: type: string name: type: string version: type: string technology: type: array items: type: string LoB: type: string com_mtn_aggregator_models_request_ProductOffering: title: ProductOffering type: object properties: id: type: string href: type: string externalSystem: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_ExternalSystem' name: type: string category: type: array items: title: Category type: object properties: name: type: string version: type: string id: type: string '@referredType': type: string '@schemaLocation': type: string href: type: string '@type': type: string '@schemaLocation': type: string com_mtn_aggregator_models_request_DutyFreeAmount: title: DutyFreeAmount type: object properties: value: type: string unit: type: string com_mtn_aggregator_models_request_ExternalSystem: title: ExternalSystem type: object properties: id: type: string system: type: string '@type': type: string '@baseType': type: string com_mtn_aggregator_models_request_RelatedParty: title: RelatedParty type: object properties: role: type: string id: type: string '@referredType': type: string '@schemaLocation': type: string href: type: string name: type: string engagedParty: title: EngagedParty type: object properties: id: type: string '@referredType': type: string '@schemaLocation': type: string href: type: string partyOrPartyRole: title: PartyOrPartyRole type: object properties: id: type: string name: type: string '@type': type: string '@referredType': type: string href: type: string com_mtn_aggregator_models_request_Item: title: Item type: object properties: id: type: string href: type: string customFields: title: CustomFields type: object properties: productOrderGroup: type: array items: type: string registrationType: type: string externalSystem: type: array items: title: ExternalSystem type: object properties: id: type: string system: type: string '@type': type: string '@baseType': type: string '@baseType': type: string '@type': type: string '@schemaLocation': type: string request: title: Request type: object properties: id: type: string '@referredType': type: string '@baseType': type: string '@schemaLocation': type: string href: type: string createdDate: type: string orderItem: type: array items: title: OrderItem type: object properties: id: type: string href: type: string action: type: string actionSubType: type: string productOffering: title: ProductOffering type: object properties: id: type: string href: type: string externalSystem: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_ExternalSystem' name: type: string category: type: array items: title: Category type: object properties: name: type: string version: type: string id: type: string '@referredType': type: string '@schemaLocation': type: string href: type: string '@type': type: string '@schemaLocation': type: string product: title: Product type: object properties: id: type: string href: type: string customFields: $ref: '#/components/schemas/com_mtn_aggregator_models_request_CustomFields' externalSystem: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_ExternalSystem' name: type: string startDate: type: string status: type: string createdDate: type: string modifiedDate: type: string businessType: type: string technology: type: string publicIdentifier: type: string productSpecification: title: ProductSpecification type: object properties: id: type: string '@referredType': type: string '@baseType': type: string '@type': type: string '@schemaLocation': type: string href: type: string name: type: string version: type: string technology: type: array items: type: string LoB: type: string productOffering: $ref: '#/components/schemas/com_mtn_aggregator_models_request_ProductOffering' productOrder: type: array items: title: ProductOrder type: object properties: orderItemId: type: string orderItemAction: type: string id: type: string '@referredType': type: string '@schemaLocation': type: string href: type: string channel: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Channel' relatedParty: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_RelatedParty' productRelationship: type: array items: title: ProductRelationship type: object properties: product: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Product' type: type: string relationshipType: type: string productPrice: type: array items: title: ProductPrice type: object properties: href: type: string priceType: type: string price: title: Price type: object properties: taxIncludedAmount: title: TaxIncludedAmount type: object properties: value: type: string unit: type: string dutyFreeAmount: title: DutyFreeAmount type: object properties: value: type: string unit: type: string taxRate: type: integer format: int32 '@schemaLocation': type: string productTerm: type: array items: title: ProductTerm type: object properties: description: type: string status: type: string validFor: title: ValidFor type: object properties: startDateTime: type: string endDateTime: type: string '@type': type: string activationDate: type: string imsiNumber: type: string simNumber: type: string '@baseType': type: string '@type': type: string '@schemaLocation': type: string isCustomerVisible: type: boolean LoB: type: string xDir: type: string productSpecification: $ref: '#/components/schemas/com_mtn_aggregator_models_request_ProductSpecification' modifiable: type: boolean '@schemaLocation': type: string channel: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_Channel' modifiedDate: type: string state: type: string relatedParty: type: array items: $ref: '#/components/schemas/com_mtn_aggregator_models_request_RelatedParty' modifiable: type: boolean orderDate: type: string cancellable: type: boolean requestedStartDate: type: string role: type: string com_mtn_aggregator_models_request_PartyOrPartyRole: title: PartyOrPartyRole type: object properties: id: type: string name: type: string '@type': type: string '@referredType': type: string href: type: string com_mtn_aggregator_models_request_InteractionDate: title: InteractionDate type: object properties: startDateTime: type: string securitySchemes: OAuth2: type: oauth2 flows: clientCredentials: tokenUrl: https://api.mtn.com/v1/oauth/access_token scopes: {} Bearer: type: http description: Bearer token received from OAuth2.0 authentication with the MADAPI scheme: bearer bearerFormat: JWT